abstract public class Shape {

  protected int size;
  protected float height;
  protected float width;
  
  abstract public void draw();
  abstract public float area();
  abstract public float circumference();
  

  public int getSize() { return size; }
  public void setSize(int size) { this.size = size; }

  public float getHeight() { return height; }
  public void setHeight(float height) { this.height = height; }
  
        
  public float getWidth() { return width; }
  public void setWidth(float width) { this.width = width; }

  public Shape(){
    this.size = 3;
    this.height = 4;
    this.width = 3;
  }

  public Shape(int size){
    this.size = size;
  }

  public Shape(float width){
    this.width = width;
  }

}
